// ControlBarBase.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"	// For FFGetApp().
#include "ControlBarBase.h"	// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCControlBarBase

//----- 06.03.15 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//CFCControlBarBase::CFCControlBarBase()
//{
//}
//
//CFCControlBarBase::~CFCControlBarBase()
//{
//}
//----- 06.03.15 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

IMPLEMENT_DYNAMIC(CFCControlBarBase, CControlBar)

BEGIN_MESSAGE_MAP(CFCControlBarBase, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCControlBarBase)
	ON_WM_CREATE()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CFCControlBarBase _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

int CFCControlBarBase::OnCreate (LPCREATESTRUCT lpCreateStruct)
{
	if (BASE_CLASS::OnCreate(lpCreateStruct) == -1)
		return -1;
	// _xZkqqHx_iDhMiDgCiDhGiDhBiDjDiDgHiCmMiDfOiBfLiDfBiDgCiDgHiCmJjDgPjIfOiBeC_xHqqkZx_
	FFGetApp()->RegisterPopHintTarget(m_hWnd);
	return 0;
} // CFCControlBarBase::OnCreate.

void CFCControlBarBase::OnDestroy ()
{
	// _xZkqqHx_iDhMiDgCiDhGiDhBiDjDiDgHiCmMiDfOiBfLiDfBiDgCiDgHiCkJiCoHjDgPjIfOiJpAiPjMiBeC_xHqqkZx_
	FFGetApp()->UnregisterPopHintTarget(m_hWnd);

	BASE_CLASS::OnDestroy();
} // CFCControlBarBase::OnDestroy.
